New version of the Collaborate Original launcher for macOS

macOS users will need to install a new launcher at the beginning of August.

Blackboard are aware of a known issue in the current macOS Launcher (v1.4), which will prevent users receiving updated files required for an upcoming Collaborate Original update.

macOS users will need to update their Launcher to continue using Collaborate Original.

The launcher will be available on 1 August 2018, the same day of the update to Collaborate Original.

Information via Blackboard Collaborate’s support site.

Comments are closed.